Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.pinecone.io/llms.txt

Use this file to discover all available pages before exploring further.

This feature is in public preview.
The Pinecone Marketplace API uses Pinecone API keys for authentication. You can use the same API key you use for Pinecone Assistant and the Pinecone Vector Database.

API key header

Include your API key in the Api-Key header on every request:
curl
curl https://api.pinecone.io/marketplace/deployments \
  -H "Api-Key: $PINECONE_API_KEY" \
  -H "Content-Type: application/json"

Scoping

API keys are scoped to a Pinecone project. Marketplace deployments are scoped to a project as well. An API key can manage deployments in the project it belongs to. For details on how to create and manage Pinecone API keys, see Manage API keys.